RadiusDimension Class

class NXOpen.Annotations.RadiusDimension

Bases: NXOpen.Annotations.BaseRadiusDimension

Represents a radius dimension

To create or edit an instance of this class, use NXOpen.Annotations.RadialDimensionBuilder

New in version NX4.0.0.

Properties

Property Description
AnnotationOrigin Returns or sets the origin (location) of the annotation.
AnnotationPlane Returns or sets the annotation plane.
Color Returns or sets the color of the object.
ComputedSize Returns the computed size of the dimension.
HasAssociativeOrigin Returns a flag indicating whether the origin is associative
Index Returns or sets the index.
InspectionDimensionFlag Returns or sets a setting to control the inspection box displayed around the dimension value.
IsBlanked Returns the blank status of this object.
IsMirrored Returns a flag indicating whether the annotation is mirrored
IsOccurrence Returns whether this object is an occurrence or not.
IsOriginCentered Returns or sets a flag indicating whether the dimension text is centered equally between the extension lines.
IsRetained Returns a flag indicating whether the annotation is retained
JournalIdentifier Returns the identifier that would be recorded in a journal for this object.
Layer Returns or sets the layer that the object is in.
LeaderOrientation Returns or sets the leader orientation for the annotation.
LimitFitAnsiHoleType Returns or sets the tolerance limit fit ANSI hole type.
LimitFitDeviation Returns or sets the tolerance limit fit deviation.
LimitFitDisplayStyle Returns or sets the tolerance limit fit display style.
LimitFitEnhancedDisplayType Returns or sets the enhanced limit fit display type.
LimitFitGrade Returns or sets the tolerance limit fit grade.
LimitFitShaftDeviation Returns or sets the deviation for limit fit representation of shaft tolerance NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object.
LimitFitShaftGrade Returns or sets the grade for limit fit representation of shaft tolerance NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object.
LineFont Returns or sets the line font of the object.
LineWidth Returns or sets the line width of the object.
LowerMetricToleranceValue Returns or sets a setting to control the metric lower tolerance value of a dimension.
LowerToleranceValue Returns or sets a setting to control the lower tolerance value of a dimension.
MeasurementDirection Returns or sets the measurement direction.
MeasurementDirectionView Returns or sets the measurement direction view.
MetricNominalDecimalPlaces Returns or sets a setting to control the number of decimal places for the nominal value of a metric dimension.
MetricToleranceDecimalPlaces Returns or sets a setting to control the number of decimal places for the metric tolerance value of a dimension.
Name Returns the custom name of the object.
NameLocation Returns the location of the object’s name.
NominalDecimalPlaces Returns or sets a setting to control the number of decimal places for the nominal value of a dimension.
NumberOfAssociativities Returns the number of associativities for the annotation.
OwningComponent Returns the owning component, if this object is an occurrence.
OwningPart Returns the owning part of this object
ParallelToScreen Returns or sets the PMI parallel to screen setting
Prototype Returns the prototype of this object if it is an occurrence.
ReferenceDimensionFlag Returns or sets a setting to control the visibility of the reference parenthesis of a dimension.
ShaftLowerToleranceValue Returns a setting to control the shaft lower tolerance value of a dimension.
ShaftUpperToleranceValue Returns a setting to control the shaft upper tolerance value of a dimension.
Suppressed Returns the flag indicating whether the annotation is suppressed
Tag Returns the Tag for this object.
ToleranceDecimalPlaces Returns or sets a setting to control the number of decimal places for the primary tolerance value of a dimension.
ToleranceType Returns or sets a setting to control the tolerance display style.
UpperMetricToleranceValue Returns or sets a setting to control the metric upper tolerance value of a dimension.
UpperToleranceValue Returns or sets a setting to control the upper tolerance value of a dimension.

Methods

Method Description
AddBusinessModifiers Adds the business modifiers.
Blank Blanks the object.
CreateAttributeIterator Create an attribute iterator
DeleteAllAttributesByType Deletes all attributes of a specific type.
DeleteAttributeByTypeAndTitle Deletes an attribute by type and title.
DeleteUserAttribute Deletes the first attribute encountered with the given Type, Title.
DeleteUserAttributes Deletes the attributes on the object, if any, that satisfy the given iterator
FindObject Finds the NXOpen.NXObject with the given identifier as recorded in a journal.
GetAppendedText Returns the appended text
GetAssociatedObject Returns the associated object
GetAssociativeOrigin Gets data that specifies the origin’s associativity
GetAssociativity Returns the associativity at specified index.
GetAttributeTitlesByType Gets all the attribute titles of a specific type.
GetBooleanUserAttribute Gets a boolean attribute by Title and array Index.
GetBusinessModifiers Returns the business modifiers
GetComputationalTimeUserAttribute Gets a time attribute by Title and array Index.
GetDimensionPreferences Returns the dimension preferences
GetDimensionText Returns the dimension text - both the main text and the dual text.
GetFirstAssociativity Returns the first associativity data.
GetInferredAnnotationPlane Returns the inferred annotation plane
GetIntegerAttribute Gets an integer attribute by title.
GetIntegerUserAttribute Gets an integer attribute by Title and array Index.
GetLetteringPreferences Returns the lettering preferences for the annotation
GetLineAndArrowPreferences Returns the line and arrow preferences for the annotation
GetMeasurementType Returns dimension measurement type.
GetNarrowDimensionPreferences Returns the narrow dimension preferences for the given linear dimension.
GetNarrowDimensionTextOffset Returns the narrow dimension text offset for the given chain dimension.
GetNextUserAttribute Gets the next attribute encountered on the object, if any, that satisfies the given iterator.
GetPdmReferenceAttributeValue Gets the value of PDM Reference attribute for given object.
GetRadiusDimensionType Returns the radius dimension type
GetRealAttribute Gets a real attribute by title.
GetRealUserAttribute Gets a real attribute by Title and array Index.
GetReferenceAttribute Gets the reference string (not the calculated value) of a string attribute that uses a reference string.
GetSecondAssociativity Returns the second associativity data.
GetSharedAssociatedObject Returns the shared associated objects
GetStringAttribute Gets a string attribute value by title.
GetStringUserAttribute Gets a string attribute by Title and array Index.
GetSymbolPreferences Returns the symbol preferences for the annotation
GetTimeAttribute Gets a time attribute by title.
GetTimeUserAttribute Gets a time attribute by Title and array Index.
GetTolerance Returns the tolerance
GetUserAttribute Gets the first attribute encountered on the object, if any, with a given Title, Type and array Index.
GetUserAttributeAsString Gets the first attribute encountered on the object, if any, with a given title, type and array index.
GetUserAttributeCount Gets the count of set attributes on the object, if any, that satisfy the given iterator.
GetUserAttributeLock Determine the lock of the given attribute.
GetUserAttributeSize Gets the size of the first attribute encountered on the object, if any, with a given Title and Type.
GetUserAttributeSourceObjects Returns an array of objects from which this object presents attributes.
GetUserAttributes Gets all the attributes that have been set on the given object, if any, that satisfy the given iterator.
GetUserAttributesAsStrings Gets all the attributes that have been set on the given object.
GetViews Returns the views that the PMI display instance object is displayed in NOTE: This method is only valid for PMI display instance objects.
HasUserAttribute Determines if an attribute exists on the object, that satisfies the given iterator
Highlight Highlights the object.
InsertIntoStack Inserts the annotation into a stack.
IsApproximate Returns whether or not the given dimension is approximate.
IsDriving Determines if a dimension is driving.
Print Prints a representation of this object to the system log file.
RedisplayObject Redisplays the object in all views.
RemoveFromStack Removes the annotation from a stack.
RemoveViewDependency Remove dependency on all views from an object.
SetAppendedText Sets the appended text
SetAssociatedObject Sets the associated object.
SetAssociativeOrigin Associates the annotation’s origin to the specified geometry.
SetAssociativity Sets the associativity at specified index.
SetAttribute Creates or modifies an integer attribute.
SetBooleanUserAttribute Creates or modifies a boolean attribute with the option to update or not.
SetBusinessModifiers Sets the business modifiers.
SetComputedSize  
SetDimensionPreferences Sets the dimension preferences
SetDimensionText Set the main dimension text.
SetFirstAssociativity Sets the first associativity data.
SetLetteringPreferences Sets the lettering preferences for the annotation.
SetLineAndArrowPreferences Sets the line and arrow preferences for the annotation.
SetName Sets the custom name of the object.
SetNameLocation Sets the location of the object’s name.
SetNarrowDimensionPreferences Sets the narrow dimension preferences to the given linear dimension.
SetNarrowDimensionTextOffset Sets the narrow dimension text offset for the given chain dimension.
SetPdmReferenceAttribute Sets the value of PDM Reference attribute on the object.
SetReferenceAttribute Creates or modifies a string attribute which uses a reference string.
SetSecondAssociativity Sets the second associativity data.
SetSymbolPreferences Sets the symbol preferences for the annotation.
SetTimeAttribute Creates or modifies a time attribute.
SetTimeUserAttribute Creates or modifies a time attribute with the option to update or not.
SetTolerance Sets the tolerance.
SetUserAttribute Creates or modifies an attribute with the option to update or not.
SetUserAttributeLock Lock or unlock the given attribute.
SetViews Sets the views that the PMI display instance object is displayed in.
Unblank Unblanks the object.
Unhighlight Unhighlights the object.
UnretainForInconsistentSilhouette Unretain the dimension if it no longer has an inconsistent silhouette as the indexed associativity

Property Detail

Index

RadiusDimension.Index

Returns or sets the index.

It is a unique integer assigned to a PMI object.

NOTE: The set method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

-------------------------------------

Getter Method

Signature Index

Returns:Unique integer assigned to the PMI object
Return type:int

New in version NX4.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature Index

Parameters:index (int) – New integer for PMI object

New in version NX4.0.0.

License requirements: geometric_tol (“GDT”)

IsMirrored

RadiusDimension.IsMirrored

Returns a flag indicating whether the annotation is mirrored

-------------------------------------

Getter Method

Signature IsMirrored

Returns:Mirrored flag
Return type:bool

New in version NX8.5.0.

License requirements: None.

IsOccurrence

RadiusDimension.IsOccurrence

Returns whether this object is an occurrence or not.

-------------------------------------

Getter Method

Signature IsOccurrence

Returns:This object is an occurrence
Return type:bool

New in version NX3.0.0.

License requirements: None.

JournalIdentifier

RadiusDimension.JournalIdentifier

Returns the identifier that would be recorded in a journal for this object.

This may not be the same across different releases of the software.

-------------------------------------

Getter Method

Signature JournalIdentifier

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

Name

RadiusDimension.Name

Returns the custom name of the object.

-------------------------------------

Getter Method

Signature Name

Returns:
Return type:str

New in version NX3.0.0.

License requirements: None.

OwningComponent

RadiusDimension.OwningComponent

Returns the owning component, if this object is an occurrence.

-------------------------------------

Getter Method

Signature OwningComponent

Returns:
Return type:NXOpen.Assemblies.Component

New in version NX3.0.0.

License requirements: None.

OwningPart

RadiusDimension.OwningPart

Returns the owning part of this object

-------------------------------------

Getter Method

Signature OwningPart

Returns:The owning part of this object or null if it does not have an owner
Return type:NXOpen.BasePart

New in version NX3.0.0.

License requirements: None.

Prototype

RadiusDimension.Prototype

Returns the prototype of this object if it is an occurrence.

-------------------------------------

Getter Method

Signature Prototype

Returns:The prototype of this object or null if this object is not an occurrence
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

Method Detail

AddBusinessModifiers

RadiusDimension.AddBusinessModifiers

Adds the business modifiers.

Signature AddBusinessModifiers(businessModifiers)

Parameters:businessModifiers (list of NXOpen.Annotations.BusinessModifier) – List of new business modifiers

New in version NX12.0.0.

License requirements: geometric_tol (“GDT”)

FindObject

RadiusDimension.FindObject

Finds the NXOpen.NXObject with the given identifier as recorded in a journal.

An object may not return the same value as its JournalIdentifier in different versions of the software. However newer versions of the software should find the same object when FindObject is passed older versions of its journal identifier. In general, this method should not be used in handwritten code and exists to support record and playback of journals.

An exception will be thrown if no object can be found with the given journal identifier.

Signature FindObject(journalIdentifier)

Parameters:journalIdentifier (str) – Journal identifier of the object
Returns:
Return type:NXOpen.INXObject

New in version NX3.0.0.

License requirements: None.

GetAppendedText

RadiusDimension.GetAppendedText

Returns the appended text

Signature GetAppendedText()

Returns:Appended text
Return type:NXOpen.Annotations.AppendedText

New in version NX4.0.0.

License requirements: None.

GetAssociatedObject

RadiusDimension.GetAssociatedObject

Returns the associated object

Signature GetAssociatedObject()

Returns:Associated object
Return type:NXOpen.Annotations.AssociatedObject

New in version NX4.0.0.

License requirements: None.

GetBusinessModifiers

RadiusDimension.GetBusinessModifiers

Returns the business modifiers

Signature GetBusinessModifiers()

Returns:List of business modifiers
Return type:list of NXOpen.Annotations.BusinessModifier

New in version NX4.0.0.

License requirements: None.

GetSharedAssociatedObject

RadiusDimension.GetSharedAssociatedObject

Returns the shared associated objects

Signature GetSharedAssociatedObject()

Returns:Shared associated objects
Return type:NXOpen.Annotations.AssociatedObject

New in version NX8.5.0.

License requirements: None.

GetTolerance

RadiusDimension.GetTolerance

Returns the tolerance

Signature GetTolerance()

Returns:
Return type:NXOpen.Annotations.LinearTolerance

New in version NX4.0.0.

License requirements: None.

Print

RadiusDimension.Print

Prints a representation of this object to the system log file.

Signature Print()

New in version NX3.0.0.

License requirements: None.

SetAppendedText

RadiusDimension.SetAppendedText

Sets the appended text

Signature SetAppendedText(appendedText)

Parameters:appendedText (NXOpen.Annotations.AppendedText) – Appended text

New in version NX4.0.0.

License requirements: geometric_tol (“GDT”) OR drafting (“DRAFTING”)

SetAssociatedObject

RadiusDimension.SetAssociatedObject

Sets the associated object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetAssociatedObject(assocObj)

Parameters:assocObj (NXOpen.Annotations.AssociatedObject) – New associated object

New in version NX4.0.0.

License requirements: geometric_tol (“GDT”)

SetBusinessModifiers

RadiusDimension.SetBusinessModifiers

Sets the business modifiers.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetBusinessModifiers(businessModifiers)

Parameters:businessModifiers (list of NXOpen.Annotations.BusinessModifier) – List of new business modifiers

New in version NX4.0.0.

License requirements: geometric_tol (“GDT”)

SetName

RadiusDimension.SetName

Sets the custom name of the object.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetName(name)

Parameters:name (str) –

New in version NX3.0.0.

License requirements: None.

SetTolerance

RadiusDimension.SetTolerance

Sets the tolerance.

NOTE: This method should not be used to edit a read-only object such as a Mirrored PMI object. If it is, the changes will be overridden when the part is updated.

Signature SetTolerance(tolerance)

Parameters:tolerance (NXOpen.Annotations.LinearTolerance) –

New in version NX4.0.0.

License requirements: geometric_tol (“GDT”) OR drafting (“DRAFTING”)